<template>
	<div>
    {{loadAndCheckTypeHistory}}
    <div v-show="this.user.creditHistory.hasMortgage">
      <div class="padding">
        <div class="row">
          <div class="columns ten">
            <span class="toUpperCase">Какую сумму предоставил вам банк по самому большому из ваших действующих ипотечных кредитов?</span>
          </div>
          <div class="columns two">
            <span class="bolder">
              <b>{{this.user.creditHistory.mortgageSum}}</b>
              <b>{{typeCurrencyAmountMortgage}}</b>
            </span>
          </div>
        </div>
      </div>
      <hr>
      <div class="padding">
        <div class="row">
          <div class="columns ten">
            <span class="toUpperCase">На какой срок был предоставлен этот кредит?</span>
          </div>
          <div class="columns two">
            <span class="bolder">
              <b>{{this.user.creditHistory.mortgageTerm}}</b>
              <b>{{dateCurrencyAmountMortgage}}</b>
            </span>
          </div>
        </div>
      </div>
      <hr>
    </div>

    <div v-show="this.user.creditHistory.hasAutoCredit">
      <div class="padding">
        <div class="row">
          <div class="columns ten">
            <span class="toUpperCase">Какую сумму предоставил вам банк по самому большому из ваших действующих автокредитов?</span>
          </div>
          <div class="columns two">
            <span class="bolder">
              <b>{{this.user.creditHistory.autoCreditSum}}</b>
              <b>{{typeCurrencyAmountAutoCredit}}</b>
            </span>
          </div>
        </div>
      </div>
      <hr>
      <div class="padding">
        <div class="row">
          <div class="columns ten">
            <span class="toUpperCase">На какой срок был предоставлен этот кредит?</span>
          </div>
          <div class="columns two">
            <span class="bolder">
              <b>{{this.user.creditHistory.autoCreditTerm}}</b>
              <b>{{dateCurrencyAmountAutoCredit}}</b>
            </span>
          </div>
        </div>
      </div>
      <hr>
    </div>

    <div v-show="this.user.creditHistory.hasCreditCard">
      <div class="padding">
        <div class="row">
          <div class="columns ten">
            <span class="toUpperCase">Какой лимит предоставил вам банк по действующей кредитной карте (если у вас несколько кредитных карт, выберите карту с максимальным лимитом)?</span>
          </div>
          <div class="columns two">
            <span class="bolder">
              <b>{{this.user.creditHistory.creditCardLimit}}</b>
              <b>{{typeCurrencyAmountCardCredit}}</b>
            </span>
          </div>
        </div>
      </div>
      <hr>
      <div class="padding">
        <div class="row">
          <div class="columns ten">
            <span class="toUpperCase">До какого года действительна эта карта?</span>
          </div>
          <div class="columns two">
            <span class="bolder">
              <b>{{monthCurrencyAmountAutoCredit}}/{{yearCurrencyAmountAutoCredit}}</b>
            </span>
          </div>
        </div>
      </div>
      <hr>
    </div>

    <div v-show="this.user.creditHistory.hasLoan">
      <div class="padding">
        <div class="row">
          <div class="columns ten">
            <span class="toUpperCase">Какую сумму предоставил вам банк (или другая кредитная организация) по самому большому из ваших действующих потребительских кредитов (займов, микрозаймов)?</span>
          </div>
          <div class="columns two">
            <span class="bolder">
              <b>{{this.user.creditHistory.loanSum}}</b>
              <b>{{typeCurrencyConsumerCredit}}</b>
            </span>
          </div>
        </div>
      </div>
      <hr>
      <div class="padding">
        <div class="row">
          <div class="columns ten">
            <span class="toUpperCase">На какой срок был предоставлен этот кредит?</span>
          </div>
          <div class="columns two">
            <span class="bolder">
              <b>{{this.user.creditHistory.loanTerm}}</b>
              <b>{{dateCurrencyConsumerCredit}}</b>
            </span>
          </div>
        </div>
      </div>
      <hr>
    </div>
	</div>
</template>

<script>
  import IndicatorRegistration from '@/mixins/IndicatorRegistration'
  import UserGetter from '@/mixins/User/UserGetterMixin'
  import UserSetter from '@/mixins/User/UserSetterMixin'

  export default {
    name: 'final-question',
    mixins: [
      IndicatorRegistration,
      UserGetter,
      UserSetter
    ],
    computed: {
      loadAndCheckTypeHistory () {
        let history = this.user.creditHistory
        if (!history.hasMortgage) {
          history.mortgageSum = null
          history.mortgageCurrency = 1
          history.mortgageTerm = null
          history.mortgageTypeDate = 1
        }
        if (!history.hasAutoCredit) {
          history.autoCreditSum = null
          history.autoCreditCurrency = 1
          history.autoCreditTerm = null
          history.autoCreditTypeDate = 1
        }
        if (!history.hasCreditCard) {
          history.creditCardLimit = null
          history.creditCardCurrency = 1
          history.creditCardTermYear = 1
          history.creditCardTermMonth = 1
        }
        if (!history.hasLoan) {
          history.loanSum = null
          history.loanCurrency = 1
          history.loanTerm = null
          history.loanTypeDate = 1
        }
      },
      typeCurrencyAmountMortgage () {
        switch (this.user.creditHistory.mortgageCurrency) {
          case 1:
            return 'руб.'
          case 2:
            return 'USD'
          case 3:
            return 'EUR'
          case 4:
            return 'CHF'
          case 5:
            return '¤'
        }
      },
      dateCurrencyAmountMortgage () {
        if (this.user.creditHistory.mortgageTypeDate === 1) {
          return 'г.'
        } else {
          return 'м.'
        }
      },
      typeCurrencyAmountAutoCredit () {
        switch (this.user.creditHistory.autoCreditCurrency) {
          case 1:
            return 'руб.'
          case 2:
            return 'USD'
          case 3:
            return 'EUR'
          case 4:
            return 'CHF'
          case 5:
            return '¤'
        }
      },
      dateCurrencyAmountAutoCredit () {
        if (this.user.creditHistory.date_credit_card === 1) {
          return 'г.'
        } else {
          return 'м.'
        }
      },
      typeCurrencyAmountCardCredit () {
        switch (this.user.creditHistory.creditCardCurrency) {
          case 1:
            return 'руб.'
          case 2:
            return 'USD'
          case 3:
            return 'EUR'
          case 4:
            return 'CHF'
          case 5:
            return '¤'
        }
      },
      monthCurrencyAmountAutoCredit () {
        switch (this.user.creditHistory.creditCardTermMonth) {
          case 1:
            return '01'
          case 2:
            return '02'
          case 3:
            return '03'
          case 4:
            return '04'
          case 5:
            return '05'
          case 6:
            return '06'
          case 7:
            return '07'
          case 8:
            return '08'
          case 9:
            return '09'
          case 10:
            return '10'
          case 11:
            return '11'
          case 12:
            return '12'
        }
      },
      yearCurrencyAmountAutoCredit () {
        switch (this.user.creditHistory.creditCardTermYear) {
          case 1:
            return '2018'
          case 2:
            return '2019'
          case 3:
            return '2020'
          case 4:
            return '2021'
          case 5:
            return '2022'
          case 6:
            return '2023'
          case 7:
            return '2024'
          case 8:
            return '2025'
          case 9:
            return '2026'
        }
      },
      typeCurrencyConsumerCredit () {
        switch (this.user.creditHistory.loanCurrency) {
          case 1:
            return 'руб.'
          case 2:
            return 'USD'
          case 3:
            return 'EUR'
          case 4:
            return 'CHF'
          case 5:
            return '¤'
        }
      },
      dateCurrencyConsumerCredit () {
        if (this.user.creditHistory.loanTypeDate === 1) {
          return 'г.'
        } else {
          return 'м.'
        }
      }
    }
  }
</script>

<style></style>
